Subject: [bug#31176] [bug#31178] [PATCH] gnu: Add inxi.

From: Oleg Pykhalov <[email-masked]>
Date: Mon, 07 May 2018 18:29:47 +0300

Hello Peter,

I've removed Ludovic from a Cc because I think it doesn't seem a good
thing to disturb him with following questions.

Peter Neidhardt <[email-masked]> writes:

> Oleg Pykhalov <[email-masked]> writes:
>
>>> OK, so if I understand correctly, only native-inputs get
>>> garbage-collected, right?
>>
>> Not quite, missing inputs (*not only* ‘(native-inputs …)’) in the output
>> of mentioned ‘guix gc’ command get garbage-collected.
>
> So what are the rules for garbage collection then?  I'm confused...
> I don't see how _some_ inputs could get garbage collected and others not.

When ‘guix gc --references PATH’ shows a ‘/gnu/store/…-INPUT’,
then ‘/gnu/store/…-INPUT’ *will not* be garbage collected.

For example:
--8<---------------cut here---------------start------------->8---
$ guix gc --references $(env GUIX_PACKAGE_PATH= guix build --no-grafts inxi)
[…]
/gnu/store/…-file-5.32
[…]
/gnu/store/…-xrandr-1.5.0
/gnu/store/…-xprop-1.2.3
--8<---------------cut here---------------end--------------->8---
‘file’, ‘xrandr’ and ‘xprop’ packages *will not* be garbage collected.

>>> If so, why are the perl plugins propagated-inputs and not just inputs?
>>
>> Good catch.  Yes, we could have Perl packages in ‘propagated-inputs’.
>
> You meant `inputs', right?

Yes, apologies for a mistyping.

Oleg.